<?php

namespace App\Enums;

enum ConsultationType: string
{
    case Free = 'free';
    case Paid = 'paid';

    public function label(): string
    {
        return match ($this) {
            self::Free => __('enums.consultation_type.free'),
            self::Paid => __('enums.consultation_type.paid'),
        };
    }
}
